Package net.shibboleth.idp.saml.security

# Class KeyAuthoritySupport.KeyAuthorityPKIXValidationInformation

java.lang.Object
net.shibboleth.idp.saml.security.KeyAuthoritySupport.KeyAuthorityPKIXValidationInformation

All Implemented Interfaces:
  `PKIXValidationInformation`

Enclosing class:
  KeyAuthoritySupport

public static class KeyAuthoritySupport.KeyAuthorityPKIXValidationInformation extends Object implements PKIXValidationInformation
Basic implementation of `PKIXValidationInformation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Collection<X509Certificate>`
`trustAnchors`
Certs used as the trust anchors.
`private final Collection<X509CRL>`
`trustedCRLs`
CRLs used during validation.
`private final Integer`
`verificationDepth`
Max verification depth during PKIX validation.

## Constructor Summary

Constructors
Constructor
Description
`KeyAuthorityPKIXValidationInformation(Collection<X509Certificate> anchors, Collection<X509CRL> crls, Integer depth)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<X509Certificate>`
`getCertificates()`
`Collection<X509CRL>`
`getCRLs()`
`Integer`
`getVerificationDepth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### trustAnchors

@Nullable private final Collection<X509Certificate> trustAnchors
Certs used as the trust anchors.

### trustedCRLs

@Nullable private final Collection<X509CRL> trustedCRLs
CRLs used during validation.

### verificationDepth

@Nonnull private final Integer verificationDepth
Max verification depth during PKIX validation.

## Constructor Details

### KeyAuthorityPKIXValidationInformation

public KeyAuthorityPKIXValidationInformation(@Nullable Collection<X509Certificate> anchors, @Nullable Collection<X509CRL> crls, @Nonnull Integer depth)
Constructor.

Parameters:
  `anchors` - certs used as trust anchors during validation
  `crls` - CRLs used during validation
  `depth` - max verification path depth

## Method Details

### getCRLs

@Nullable @Unmodifiable @NotLive public Collection<X509CRL> getCRLs()

Specified by:
  `getCRLs` in interface `PKIXValidationInformation`

### getCertificates

@Nullable @Unmodifiable @NotLive public Collection<X509Certificate> getCertificates()

Specified by:
  `getCertificates` in interface `PKIXValidationInformation`

### getVerificationDepth

@Nonnull public Integer getVerificationDepth()

Specified by:
  `getVerificationDepth` in interface `PKIXValidationInformation`